ServiceTypeFilter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.service.navigation
Class ServiceTypeFilter

    java.lang.Object
      javax.tv.service.navigation.ServiceFilter
          javax.tv.service.navigation.ServiceTypeFilter

    public final class ServiceTypeFilter

extends ServiceFilter

`ServiceTypeFilter` represents a `ServiceFilter` based on a particular `ServiceType`. A `ServiceList` resulting from this filter will include only `Service` objects of the specified service type.

See Also:
  `ServiceType`, `ServiceList`

Constructor Summary
`ServiceTypeFilter(ServiceType type)` Constructs the filter based on a particular `ServiceType`.

Method Summary
`boolean` | `accept(Service service)` Tests if the given service passes the filter.
`ServiceType` | `getFilterValue()` Reports the `ServiceType` used to create this filter.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceTypeFilter

    public ServiceTypeFilter(ServiceType type)

  Constructs the filter based on a particular `ServiceType`.

  Parameters:
    `type` - A `ServiceType` object indicating the type of services to be included in a resulting service list.

Method Detail

### getFilterValue

    public ServiceType getFilterValue()

  Reports the `ServiceType` used to create this filter.

  Returns:
    The `ServiceType` used to create this filter.

### accept

    public boolean accept(Service service)

  Tests if the given service passes the filter.

  Specified by:
    `accept` in class `ServiceFilter`
  Parameters:
    `service` - An individual `Service` to be evaluated against the filtering algorithm.
  Returns:
    `true` if `service` is of the type indicated by the filter value; `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD